import re
import sys

found_lines = []

for line in sys.stdin:
    if re.search(r'\b\s*pies\s*\b', line, flags=re.IGNORECASE):
        found_lines.append(line.strip())


if found_lines:
    print('\n'.join(found_lines))

